package com.muyu.etl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.BasicParams;

import java.util.List;

/**
 * Service接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface BasicParamsService extends IService<BasicParams>
{
    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    public BasicParams selectBasicParamsById(Long id);

    /**
     * 查询列表
     *
     * @param basicParams
     * @return 集合
     */
    public List<BasicParams> selectBasicParamsList(BasicParams basicParams);

    /**
     * 新增
     *
     * @param basicParams
     * @return 结果
     */
    public int insertBasicParams(BasicParams basicParams);

    /**
     * 修改
     *
     * @param basicParams
     * @return 结果
     */
    public int updateBasicParams(BasicParams basicParams);

    /**
     * 批量删除
     *
     * @param ids 需要删除的主键集合
     * @return 结果
     */
    public int deleteBasicParamsByIds(Long[] ids);

    /**
     * 删除信息
     *
     * @param id 主键
     * @return 结果
     */
    public int deleteBasicParamsById(Long id);
}
