package com.muyu.etl.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.system.domain.SysDictData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.etl.mapper.BasicParamsMapper;
import com.muyu.etl.domain.BasicParams;
import com.muyu.etl.service.BasicParamsService;

/**
 * Service业务层处理
 *
 * @author muyu
 * @date 2024-04-20
 */
@Service
public class BasicParamsServiceImpl extends ServiceImpl<BasicParamsMapper, BasicParams> implements BasicParamsService
{
    @Autowired
    private BasicParamsMapper basicParamsMapper;

    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    @Override
    public BasicParams selectBasicParamsById(Long id)
    {
        return basicParamsMapper.selectBasicParamsById(id);
    }

    /**
     * 查询列表
     *
     * @param basicParams
     * @return
     */
    @Override
    public List<BasicParams> selectBasicParamsList(BasicParams basicParams)
    {
        return basicParamsMapper.selectBasicParamsList(basicParams);
    }

    /**
     * 新增
     *
     * @param basicParams
     * @return 结果
     */
    @Override
    public int insertBasicParams(BasicParams basicParams)
    {
        return basicParamsMapper.insertBasicParams(basicParams);
    }

    /**
     * 修改
     *
     * @param basicParams
     * @return 结果
     */
    @Override
    public int updateBasicParams(BasicParams basicParams)
    {
        return basicParamsMapper.updateBasicParams(basicParams);
    }

    /**
     * 批量删除
     *
     * @param ids 需要删除的主键
     * @return 结果
     */
    @Override
    public int deleteBasicParamsByIds(Long[] ids)
    {
        return basicParamsMapper.deleteBasicParamsByIds(ids);
    }

    /**
     * 删除信息
     *
     * @param id 主键
     * @return 结果
     */
    @Override
    public int deleteBasicParamsById(Long id)
    {
        return basicParamsMapper.deleteBasicParamsById(id);
    }
}
